Read a local business convert job
curl --request GET \
--url https://api.instantly.ai/api/v2/local-business-search/convert/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/local-business-search/convert/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/local-business-search/convert/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/local-business-search/convert/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/local-business-search/convert/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/local-business-search/convert/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"requested": 123,
"scanned": 123,
"created": 123,
"lookup_pending": 123,
"verify_pending": 123,
"verifying_count": 123,
"credits_spent": 123,
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": 123,
"error_code": "<string>",
"pool_exhausted": true
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'",
"code": "FST_ERR_VALIDATION"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Insufficient credits",
"message": "Insufficient credits",
"creditsRequired": 2,
"creditsAvailable": 0
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "local_business_search_daily_limit",
"message": "local_business_search_daily_limit",
"code": "local_business_search_daily_limit"
}Local Business
Read a local business convert job
The progress of a conversion started by POST /local-business-search/convert; status stays running until it ends.
Requires one of the following scopes: supersearch_enrichments:read, supersearch_enrichments:all, all:read, all:all
GET
/
api
/
v2
/
local-business-search
/
convert
/
{id}
Read a local business convert job
curl --request GET \
--url https://api.instantly.ai/api/v2/local-business-search/convert/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/local-business-search/convert/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/local-business-search/convert/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/local-business-search/convert/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/local-business-search/convert/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/local-business-search/convert/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"requested": 123,
"scanned": 123,
"created": 123,
"lookup_pending": 123,
"verify_pending": 123,
"verifying_count": 123,
"credits_spent": 123,
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": 123,
"error_code": "<string>",
"pool_exhausted": true
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'",
"code": "FST_ERR_VALIDATION"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Insufficient credits",
"message": "Insufficient credits",
"creditsRequired": 2,
"creditsAvailable": 0
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "local_business_search_daily_limit",
"message": "local_business_search_daily_limit",
"code": "local_business_search_daily_limit"
}